Page MenuHomePhabricator

Decom the ArcLamp pipeline for HHVM/Xenon
Closed, ResolvedPublic

Description

Now that T176370 has reached 100% for web requests, we can start decommissioning the ArcLamp pipeline for HHVM.

Similar to T176916 which created a second pipeline for PHP7/Excimer, except in reverse and for HHVM.

Event Timeline

Krinkle created this task.Sep 25 2019, 11:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2019, 11:14 PM
Gilles assigned this task to dpifke.Jan 7 2020, 11:32 AM

Change 595602 had a related patch set uploaded (by Dave Pifke; owner: Dave Pifke):
[operations/puppet@production] Decommission old ArcLamp HHVM pipeline

https://gerrit.wikimedia.org/r/595602

Change 595602 merged by Dzahn:
[operations/puppet@production] Decommission old ArcLamp HHVM pipeline

https://gerrit.wikimedia.org/r/595602

Dzahn added a subscriber: Dzahn.May 13 2020, 12:36 PM

Merged the change above, it was complete noop on webperf1002/2002. Should we kill /usr/bin/python /usr/local/bin/arclamp-log /etc/arclamp-log-xenon.yaml or restart arclamp?

dpifke closed this task as Resolved.May 13 2020, 6:07 PM

Yeah, there isn't anything in Puppet to delete previously-generated configuration files which are no longer referenced. I manually stopped and removed it on both hosts:

# systemctl stop xenon-log
# systemctl disable xenon-log
# rm /lib/systemd/system/xenon-log.service /etc/arclamp-log-xenon.yaml

I think that should do it.